Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface QueryMethodType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  QueryMethodTypeImpl

    public interface QueryMethodType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `query-methodType` xsd type

Original Documentation:

[
The query-method specifies the method for a finder or select
query.
The method-name element specifies the name of a finder or select
method in the entity bean's implementation class.
Each method-param must be defined for a query-method using the
method-params element.
It is used by the query-method element.
Example:
Method finds large orders
findLargeOrders
SELECT OBJECT(o) FROM Order o
WHERE o.amount > 1000

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getMethodName()` Returns the `method-name` element
`MethodParamsType<QueryMethodType<T>>` | `methodParams()` If not already created, a new `method-params` element will be created and returned.
`QueryMethodType<T>` | `removeMethodName()` Removes the `method-name` element
`QueryMethodType<T>` | `removeMethodParams()` Removes the `method-params` element
`QueryMethodType<T>` | `setMethodName(java.lang.String methodName)` If not already created, a new `method-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setMethodName

    QueryMethodType<T> setMethodName(java.lang.String methodName)

  If not already created, a new `method-name` element with the given value will be created. Otherwise, the existing `method-name` element will be updated with the given value.

  Returns:
    the current instance of `QueryMethodType`

### removeMethodName

    QueryMethodType<T> removeMethodName()

  Removes the `method-name` element

  Returns:
    the current instance of `QueryMethodType`

### getMethodName

    java.lang.String getMethodName()

  Returns the `method-name` element

  Returns:
    the node defined for the element `method-name`

### removeMethodParams

    QueryMethodType<T> removeMethodParams()

  Removes the `method-params` element

  Returns:
    the current instance of `QueryMethodType`

### methodParams

    MethodParamsType<QueryMethodType<T>> methodParams()

  If not already created, a new `method-params` element will be created and returned. Otherwise, the existing `method-params` element will be returned.

  Returns:
    the node defined for the element `method-params`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD